package cn.org.bjca.trust.push.common

import java.util.*

object CommonHelper {
    @JvmStatic
    fun anyToString(value: Any?): String {
        return if (value == null) ""
        else {
            when (value) {
                is Array<*> -> {
                    value.joinToString()
                }
                else -> {
                    value.toString()
                }
            }
        }
    }
    @JvmStatic
    fun generateMessageId(): String = UUID.randomUUID().toString()


}